#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF9,0x40,0xE3,0x20,0x3C,0xE3,0x4F,0xDB,0x4A,0xC2,0xB3,0x1B,
		0x63,0xB1,0x2A,0xCB,0x69,0x94,0x63,0x5D,0xC0,0x2C,0x97,0x54,
		0x1D,0xE1,0x1E,0x16,0xFE,0xA1,0xE5,0x22,0x09,0xC2,0xB8,0xAA,
		0x11,0x03,0x0C,0xDA,0x3E,0xA9,0xF0,0xF2,0x65,0xCD,0xA7,0x0F,
		0xAE,0x9C,0x25,0x8C,0x87,0x76,0x95,0xB1,0x68,0x2E,0xE9,0xC8,
		0xB0,0x9C,0xF2,0xAB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
